# jQuery centerEl

### Center multiple elements around its parent 

This plugin allows you to vertically center element to its parent element, 
## Usage

1. Include jQuery:

	```html
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.min.js"></script>
	```

2. Include plugin's code:

	```html
	<script src="dist/jquery.centerEl.js"></script>
	```

3. Call the plugin:

	```javascript
	$("#element").centerEls({
		additonalOffset: 0,
        absolutePositioning: true,
        parentEl: "#parent-element",
	});
	```

## Structure

The basic structure of the project is given in the following way:

```
├── demo/
│   └── index.html
├── dist/
│   ├── jquery.centerEl.js
│   └── jquery.centerEl.min.js
├── src/
    └── jquery.centerEl.js
```

#### [demo/](https://github.com/mohandere/jquery-centerEl/tree/master/demo)

Contains a simple HTML file to demonstrate plugin.

#### [dist/](https://github.com/mohandere/jquery-centerEl/tree/master/dist)

This is where the generated files are stored once Grunt runs.

#### [src/](https://github.com/mohandere/jquery-centerEl/tree/master/src)

Contains the file responsible for plugin.


## Documentation

#### Options

	parentEl : (required), parent element which is relative to element on which we are going use plugin.
	additonalOffset : Additional offset from top in pixels
	absolutePositioning : Use absolute positioning or not, posible values : false/true ? if set to false "padding" is used

	Following properties only works with "absolutePositioning:true"
	left : left from offset
	right : right from offset




#### Methods

	1. destroy() : removes plugins funcionality
	
	$("button#destroy-me").click(function(){
		$("#element").data("plugin_centerEls").destroy();
	}
	
	2. recalc() : on browser width change you may want to recalculate position 

	eg - $("#element").data("plugin_centerEls").recalc();
	
	
